Unusual Whales UnusualWhales API

Flow Data

GET https://api.unusualwhales.com/api/option-contract/{id}/flow

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

id OptionContract required

An option contract in the OSI format.

Example: TSLA230526P00167500

Query Parameters

side Side optional

The side of a stock trade. Must be one of ASK, BID, MID. If not set, will return all side's trades.

Example: ASK Default: ALL
enum: ALL, ASK, BID, MID
min_premium StockTradesMinPremium optional

The minimum premium requested trades should have.

Example: 50000 Default: 0
>= 0
limit Min Limit 1 optional

How many items to return. If no limit is given, returns all matching data. Min: 1.

Example: 10
>= 1
date Optional Market Date optional

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example: 2024-01-18

Responses

200 422 500

Response Body 200 OK

ask_vol Option Contract Ask Volume

The amount of volume that happened on the ask side. Ask side is defined as (ask + bid) / 2 < fill price.

Example: 119403
bid_vol Option Contract Bid Volume

The amount of volume that happened on the bid side. Bid side is defined as (ask + bid) / 2 > fill price.

Example: 122789
canceled Canceled

Whether the option trade was canceled.

delta Delta

The delta of the option trade.

Example: 0.610546281537814
er_time Stock Earnings time

The time when the earnings will be released.

Example: premarket
ewma_nbbo_ask EWMA NBBO Ask

The exponentially weighted moving average of the National Best Bid and Offer ask side.

Example: 21.60
ewma_nbbo_bid EWMA NBBO Bid

The exponentially weighted moving average of the National Best Bid and Offer bid side.

Example: 21.45
exchange Exchange

The exchange the option trade was executed on.

Example: MXOP
executed_at Executed At

The option trade execution time as an ISO 8601 UTC timestamp. The WebSocket `option_trades` channel represents this field as Unix epoch milliseconds instead.

Example: 2024-08-21T13:50:52.278302Z
expiry Option Contract Expiry

The contract expiry date in ISO format.

Example: 2023-12-22
flow_alert_id Flow Alert ID

The flow alert ID of the option trade. If the flow alert ID is null, it means that there is no flow alert associated with the option trade.

full_name Stock Full Name

Full name of the ticker.

Example: APPLE
gamma Gamma

The gamma of the option trade.

Example: 0.00775013889662635
id Option Trade ID

The ID of the option trade.

Example: 8ef90a2d-d881-41de-98c9-c1de4318dcb5
implied_volatility Implied Volatility

The implied volatility of the option trade.

Example: 0.604347250962543
industry_type Stock Industry Type

The industry type of the ticker.

Example: Semiconductors
is_agg boolean

Whether this response item combines related option transactions executed at the same time into a single transaction.

Example: true
issue_type string
Example: Common Stock
marketcap Stock Marketcap AUM

The marketcap of the underlying ticker. If the issue type of the ticker is ETF then the marketcap represents the AUM.

Example: 2965813810400
mid_vol Option Contract Mid Volume

The amount of volume that happened in the middle of the ask and bid. Mid is defined as (ask + bid) / 2 == fill price.

Example: 22707
multi_vol Option Contract Multi Leg Volume

The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more.

Example: 7486
nbbo_ask NBBO Ask

The National Best Bid and Offer (NBBO) ask price.

Example: 0.03
nbbo_ask_size NBBO Ask Size

The quoted size in contracts at the NBBO ask price. `null` when quote metadata is unavailable.

Example: 24
nbbo_ask_time NBBO Ask Time

The last update time for the NBBO ask quote as an ISO 8601 UTC timestamp. `null` when quote metadata is unavailable. The WebSocket `option_trades` channel represents this field as Unix epoch milliseconds instead.

Example: 2024-08-21T13:50:52.274302Z
nbbo_bid NBBO Bid

The National Best Bid and Offer (NBBO) bid price.

Example: 0.03

... and 25 more fields

Try It GET
Path Parameters
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/option-contract/{id}/flow" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "underlying_symbol": "NVDA",
  "open_interest": 6016,
  "ask_vol": 2,
  "ewma_nbbo_bid": "21.45",
  "bid_vol": 1,
  "option_type": "call",
  "nbbo_bid_time": "2024-08-21T13:50:52.271302Z",
  "delta": "0.610546281537814",
  "full_name": "NVIDIA CORP",
  "ewma_nbbo_ask": "21.60",
  "multi_vol": 30,
  "industry_type": "Semiconductors",
  "implied_volatility": "0.604347250962543",
  "nbbo_ask_size": 24,
  "er_time": "postmarket",
  "theo": "21.49999999999999",
  "rule_id": null,
  "stock_multi_vol": 0,
  "theta": "-0.0640155364004474",
  "gamma": "0.00775013889662635",
  "option_chain_id": "NVDA250117C00124000",
  "premium": "2150.00",
  "flow_alert_id": null,
  "id": "8ef90a2d-d881-41de-98c9-c1de4318dcb5",
  "nbbo_ask_time": "2024-08-21T13:50:52.274302Z",
  "exchange": "MXOP",
  "price": "21.50",
  "nbbo_ask": "21.60",
  "tags": [
    "bid_side",
    "bearish",
    "earnings_next_week"
  ],
  "size": 1,
  "expiry": "2025-01-17",
  "mid_vol": 30,
  "strike": "124.0000000000",
  "executed_at": "2024-08-21T13:50:52.278302Z",
  "canceled": false,
  "nbbo_bid_size": 17,
  "next_earnings_date": "2024-08-28",
  "report_flags": [],
  "underlying_price": "128.16",
  "volume": 33,
  "nbbo_bid": "21.45",
  "rho": "0.2316546330093438",
  "no_side_vol": 0,
  "upstream_condition_detail": "auto",
  "sector": "Technology",
  "vega": "0.3140468475903719",
  "marketcap": "3130350000000.00"
}